API v1

Clients integrate only with this API. Upstream providers are handled by the platform.

Authentication

Authorization: Bearer YOUR_API_TOKEN

Generate tokens from the tenant portal → API Tokens.

Response envelope

{
  "success": true,
  "message": "OK",
  "data": { },
  "meta": { },
  "errors": null
}

Endpoints

POST /api/v1/messages

Unified send – channel: sms | whatsapp | voice

{"channel":"sms","to":"+2547...","body":"Hello"}
POST /api/v1/sms/send
{"to":"+2547...","message":"Hello"}
POST /api/v1/whatsapp/send
{"to":"+2547...","message":"Hello"}
POST /api/v1/voice/call

Reserved – returns 501 until voice is enabled

GET /api/v1/messages?channel=sms&page=1
GET /api/v1/messages/{id}
GET /api/v1/balance
GET /api/v1/health